package com.sundot.airport.web.controller.ledger;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.sundot.airport.common.annotation.Log;
import com.sundot.airport.common.core.controller.BaseController;
import com.sundot.airport.common.core.domain.AjaxResult;
import com.sundot.airport.common.core.page.TableDataInfo;
import com.sundot.airport.common.enums.BusinessType;
import com.sundot.airport.common.utils.poi.ExcelUtil;
import com.sundot.airport.ledger.domain.LedgerLeaderDuty;
import com.sundot.airport.ledger.service.ILedgerLeaderDutyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/ledger/leaderDuty")
public class LedgerLeaderDutyController extends BaseController {

    @Autowired
    private ILedgerLeaderDutyService service;

    @PreAuthorize("@ss.hasPermi('ledger:leaderDuty:list')")
    @GetMapping("/list")
    public TableDataInfo list(LedgerLeaderDuty query) {
        startPage();
        List<LedgerLeaderDuty> list = service.selectList(query);
        return getDataTable(list);
    }

    @PreAuthorize("@ss.hasPermi('ledger:leaderDuty:export')")
    @Log(title = "组长履职情况记录", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, LedgerLeaderDuty query) {
        List<LedgerLeaderDuty> list = service.selectList(query);
        ExcelUtil<LedgerLeaderDuty> util = new ExcelUtil<>(LedgerLeaderDuty.class);
        util.exportExcel(response, list, "组长履职情况记录");
    }

    @PreAuthorize("@ss.hasPermi('ledger:leaderDuty:query')")
    @GetMapping("/{id}")
    public AjaxResult getInfo(@PathVariable Long id) {
        return AjaxResult.success(service.getById(id));
    }
}
